# Copyright 1999-2003 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License v2
# $Header: $

MY_P="${P/canna-/}"

DESCRIPTION="Japanese kana-kanji conversion dictionary for Canna"
HOMEPAGE="http://cannadic.oucrc.org/"
SRC_URI="http://cannadic.oucrc.org/${MY_P}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="x86 ~ppc sparc ~alpha"
IUSE=""
DEPEND=">=canna-3.6_p3-r2"
RDEPEND="${DEPEND}"
S="${WORKDIR}/${MY_P}"

src_compile() {
	make maindic-standard || die
}

src_install() {
	dodir /var/lib/canna/dic/canna/
	install -o bin -g bin -m 0664 gcanna.c[bl]d gcannaf.t \
		${D}/var/lib/canna/dic/canna/
	insinto /usr/share/canna/dics.dir.d/ ;\
		doins ${FILESDIR}/01cannadic.dics.dir
	dodoc COPYING README
}

pkg_postinst() {
	einfo "Regenerating dics.dir file..."
	/usr/sbin/update-canna-dics_dir || die "Regenerating failed."
}

pkg_postrm() {
	einfo "Regenerating dics.dir file..."
	/usr/sbin/update-canna-dics_dir || die "Regenerating failed."
}
